<?php
// localization.php

function product_review_localize_script() {
    wp_localize_script('product-review-admin-script', 'productReviewL10n', array(
        'maxReviewsMessage' => __('You have reached the maximum number of reviews allowed for free users. Please upgrade to add more.', 'product-review-plugin'),
        'reviewNumberText' => __('Product Review #', 'product-review-plugin'),
        'removeText' => __('Remove', 'product-review-plugin'),
        'chooseImageText' => __('Choose Image', 'product-review-plugin'),
        'useThisImageText' => __('Use this image', 'product-review-plugin'),
        'removeImageText' => __('Remove image', 'product-review-plugin'),
        'uploadImageText' => __('Upload Image', 'product-review-plugin'),
         'resetAllText' => __('Reset All to Default', 'product-review-plugin'),
        'deleteConfirmMessage' => __('Are you sure you want to delete this review group? This action cannot be undone.', 'product-review-plugin'),
        'bulkDeleteConfirmMessage' => __('Are you sure you want to delete the selected groups? This action cannot be undone.', 'product-review-plugin'),
    ));
}
add_action('admin_enqueue_scripts', 'product_review_localize_script');